
QGIS Application - Bug report #19188

~6000 lines of Python errors on every 3.0.3 startup - could this be my problem? 

2018-06-14 12:33 AM - Loren Amelang

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 Creators with 3000x2000 screen and 175% scalingEasy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27017

Description

I notice I get over 6000 lines of Python errors in the log on every startup. That can't be normal??? I've also seen several sudden crashes,

where QGIS just instantly disappears for no apparent reason, with no crash dialog or stack trace, and no logging I can find. (Is there some

place I haven't looked for logs?)

I'm new to 3.0.3, so I'm not sure what is normal, but it seems very slow to start up, and operation seems to have "interesting quirks".

Maybe all these errors are the cause?

Like suddenly today I can't create shapefiles...  

#19158

And I get the following 17 lines of "Processing" warnings, and they repeat occasionally at times I haven't linked to any actions yet: 

 

2018-06-13T12:19:19 WARNING Duplicate algorithm name clusteranalysis for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name confusionmatrixpolygonsgrid for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name gwrformultiplepredictors for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name gwrforsinglepredictorgriddedmodeloutput for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name gwrforsinglepredictorlayer for provider saga

2018-06-13T12:19:19 WARNING Duplicate parameter SEARCH_POINTS_ALL registered for alg

inversedistanceweightedinterpolation

2018-06-13T12:19:19 WARNING Duplicate parameter SEARCH_POINTS_MAX registered for alg

inversedistanceweightedinterpolation

2018-06-13T12:19:19 WARNING Duplicate algorithm name clusteranalysis for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name difference for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name polygonidentity for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name intersect for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name polygonselfintersection for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name symmetricaldifference for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name polygonuunion for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name regressionkriging for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name simplekriging for provider saga

2018-06-13T12:19:19 WARNING Duplicate algorithm name polygonupdate for provider saga

I'm on Windows 10 64-bit:

QGIS version 3.0.3-Girona

QGIS code revision 8a899c8758

Compiled against Qt 5.9.2

2024-04-24 1/2



Running against Qt 5.9.2

Compiled against GDAL/OGR 2.2.4

Running against GDAL/OGR 2.2.4

Compiled against GEOS 3.5.0-CAPI-1.9.0

Running against GEOS 3.5.0-CAPI-1.9.0 r4084

PostgreSQL Client Version 9.2.4

SpatiaLite Version 4.3.0

QWT Version 6.1.3

QScintilla2 Version 2.10.1

PROJ.4 Version 493

Any clues how to explore this further?

Associated revisions

Revision 55a54b09 - 2018-06-15 05:48 AM - Nyall Dawson

[processing][saga] Fix duplicate confusion matrix algs

Fixes #19188

History

#1 - 2018-06-15 05:48 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|55a54b0971f5f9774622ddad6ef576aeccafcf74.

#2 - 2018-06-18 10:40 AM - Jürgen Fischer

- Description updated
